Bug 426707 - selinux error during prelinking?
selinux error during prelinking?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 13:43 EST by Need Real Name
Modified: 2008-03-05 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:17:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-12-24 13:43:58 EST
Description of problem:
I believe (based upon time of day) that the following error occurred around the
time of the daily cron of 'prelink'

/var/log/audit/audit.log:type=AVC msg=audit(1198489263.961:2325): avc:  denied 
{ execmod } for  pid=9220 comm="ld-linux.so.2"
path="/usr/lib/libswscale.so.0.5.0" dev=sda7 ino=967469
scontext=unconfined_u:system_r:prelink_t:s0-s0:c0.c1023
tcontext=system_u:object_r:lib_t:s0 tclass=file
Comment 1 Daniel Walsh 2007-12-31 07:36:31 EST
Fixed in selinux-policy-3.0.8-72.fc8
Comment 2 Need Real Name 2008-01-15 13:52:04 EST
Here is another similar one that occurred in 3.0.8-74 (though I didn't reboot or
restart services after installing if that is required):

denied  { execmod } for  pid=15228 comm="ld-linux.so.2"
path="/usr/lib/libavdevice.so.52.0.0" dev=sda7 ino=967785
scontext=unconfined_u:system_r:prelink_t:s0-s0:c0.c1023
tcontext=system_u:object_r:lib_t:s0 tclass=file

Note: /usr/lib/libavdevice.so.52.0.0 is part of the ATrpms package libavdevice52

Again, this occurred during the daily pre-link cron task.
Comment 3 Daniel Walsh 2008-01-16 15:58:23 EST
chcon -t textrel_shlib_t /usr/lib/libavdevice.so.52.0.0 

will fix.

3.0.8-78

Will have this mapping.
Comment 4 Daniel Walsh 2008-03-05 17:17:29 EST
Bugs have been in modified for over one month.  Closing as fixed in current
release please reopen if the problem still persists.

Note You need to log in before you can comment on or make changes to this bug.